//
// Copyright (C) 2015 crosire & kagikn & contributors
// License: https://github.com/scripthookvdotnet/scripthookvdotnet#license
//

namespace GTA.UI
{
    /// <summary>
    /// An enumeration of selected notification icons for
    /// <see cref="Notification.Show(NotificationIcon, string, string, string, bool, bool)"/>.
    /// </summary>
    /// <remarks>
    /// Although you can use any pair of a texture dictionary (txd) and a texture as long as the txd is loaded
    /// and the txd contains the texture in native functions for creating feed posts, you can only specify
    /// one of the defined values of this enum in <see cref="Notification.Show(NotificationIcon, string, string, string, bool, bool)"/>.
    /// </remarks>
    public enum NotificationIcon
    {
        Abigail,
        AllPlayersConf,
        Amanda,
        Ammunation,
        Andreas,
        Antonia,
        Arthur,
        Ashley,
        BankBol,
        BankFleeca,
        BankMaze,
        Barry,
        Beverly,
        Bikesite,
        BlankEntry,
        Blimp,
        Blocked,
        Boatsite,
        BrokenDownGirl,
        Bugstars,
        Call911,
        Carsite,
        Carsite2,
        Castro,
        ChatCall,
        Chef,
        Cheng,
        Chengsr,
        Chop,
        Cris,
        Dave,
        Default,
        Denise,
        DetonateBomb,
        DetonatePhone,
        Devin,
        DialASub,
        Dom,
        DomesticGirl,
        Dreyfuss,
        DrFriedlander,
        Epsilon,
        EstateAgent,
        Facebook,
        FilmNoir,
        Floyd,
        Franklin,
        FrankTrevConf,
        Gaymilitary,
        Hao,
        HitcherGirl,
        HumanDefault,
        Hunter,
        Jimmy,
        JimmyBoston,
        Joe,
        Josef,
        Josh,
        Lamar,
        Lazlow,
        Lester,
        LesterDeathwish,
        LesFrankConf,
        LesMikeConf,
        Lifeinvader,
        LsCustoms,
        LsTouristBoard,
        Manuel,
        Marnie,
        Martin,
        MaryAnn,
        Maude,
        Mechanic,
        Michael,
        MikeFrankConf,
        MikeTrevConf,
        Milsite,
        Minotaur,
        Molly,
        MpArmyContact,
        MpBikerBoss,
        MpBikerMechanic,
        MpBrucie,
        MpDetonatePhone,
        MpFamBoss,
        MpFIBContact,
        MpFmContact,
        MpGerald,
        MpJulio,
        MpMechanic,
        MpMerryweather,
        MpMexBoss,
        MpMexDocks,
        MpMexLt,
        MpMorsMutual,
        MpProfBoss,
        MpRayLavoy,
        MpRoberto,
        MpSnitch,
        MpStretch,
        MpStripclubPr,
        MrsThornhill,
        Multiplayer,
        Nigel,
        Omega,
        Oneil,
        Ortega,
        Oscar,
        Patricia,
        PegasusDelivery,
        Planesite,
        PropertyArmsTrafficking,
        PropertyBarAirport,
        PropertyBarBayview,
        PropertyBarCafeRojo,
        PropertyBarCockotoos,
        PropertyBarEclipse,
        PropertyBarFes,
        PropertyBarHenHouse,
        PropertyBarHiMen,
        PropertyBarHookies,
        PropertyBarIrish,
        PropertyBarLesBianco,
        PropertyBarMirrorPark,
        PropertyBarPitchers,
        PropertyBarSingletons,
        PropertyBarTequilala,
        PropertyBarUnbranded,
        PropertyCarModShop,
        PropertyCarScrapYard,
        PropertyCinemaDowntown,
        PropertyCinemaMorningwood,
        PropertyCinemaVinewood,
        PropertyGolfClub,
        PropertyPlaneScrapYard,
        PropertySonarCollections,
        PropertyTaxiLot,
        PropertyTowingImpound,
        PropertyWeedShop,
        Ron,
        Saeeda,
        Sasquatch,
        Simeon,
        SocialClub,
        Solomon,
        Steve,
        SteveMikeConf,
        SteveTrevConf,
        Stretch,
        StripperChastity,
        StripperCheetah,
        StripperFufu,
        StripperInfernus,
        StripperJuliet,
        StripperNikki,
        StripperPeach,
        StripperSapphire,
        Tanisha,
        Taxi,
        TaxiLiz,
        TennisCoach,
        TowTonya,
        Tracey,
        Trevor,
        Wade,
        YouTube,
        CreatorPortraits,
    }
}
